/**
 * Diese Klasse ist zur Erzeugung eines Kreises
 * 
 * @author Dr.-Ing. U. Kiesmüller
 * @version lauffähige erste Version
 */

public class VOLLKREIS1
{
    // Variablendeklaration
    private int xMitte, yMitte, radius, farbnr;

    /**
     * Konstruktor für einen Kreis mit wählbarem Mittelpunkt und Radius sowie wählbarer Farbe
     * 
     * @param xStart X-Koordinate des Kreismittelpunktes
     * @param yStart Y-Koordinate des Kreismittelpunktes
     * @param radiusStart Radius des Kreises
     * @param farbnrStart Farbnummer der Kreisfarbe
     * 
     */
    public VOLLKREIS1(int xStart, int yStart, int radiusStart, int farbnrStart)
    {
        xMitte = xStart;
        yMitte = yStart;
        radius = radiusStart;
        farbnr = farbnrStart;
    }
    
    /**
     * Methode zur Abfrage der x-Koordinate des Kreismittelpunkts
     * 
     * @return xMitte X-Koordinate des Mittelpunkts
     */
    public int gibXMitte()
	{
	    return xMitte;
	}
	
	/**
     * Methode zur Abfrage der y-Koordinate des Kreismittelpunkts
     * 
     * @return yMitte Y-Koordinate des Mittelpunkts
     */
	public int gibYMitte()
	{
	    return yMitte;
	}
	
	/**
     * Methode zur Abfrage des Kreisradius
     * 
     * @return radius Radius des Kreises
     */
	public int gibRadius()
	{
	    return radius;
	}
	
	/**
     * Methode zur Abfrage der Farbnummer der Kreisfarbe
     * 
     * @return farbnr Farbe des Kreises
     */
	public int gibFarbnr()
	{
	    return farbnr;
	}

    /**
     * Methode zum Zeichnen eines Baumes
     */
	public void zeichne()
    {
        ZEICHENFENSTER.gibFenster().fuelleKreis(xMitte,yMitte,radius,farbnr);
        ZEICHENFENSTER.gibFenster().zeichneRechteck(xMitte,yMitte,100,50);
    }   

}
